org.wildfly.swarm.config.management.access.constraint.sensitivity_classification.type

## Class Classification<T extends Classification<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.constraint.sensitivity_classification.type.Classification<T>

-     public class Classification<T extends Classification<T>>
      extends Object

  Configuration of a sensitivity constraint.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Classification.ClassificationResources` Child mutators for Classification

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Classification(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `appliesTo(AppliesTo value)` Add the AppliesTo object to the list of subresources
    `T` | `appliesTo(AppliesToSupplier supplier)` Install a supplied AppliesTo object to the list of subresources
    `T` | `appliesTo(String childKey)` Create and configure a AppliesTo object to the list of subresources
    `T` | `appliesTo(String childKey, AppliesToConsumer consumer)` Create and configure a AppliesTo object to the list of subresources
    `T` | `appliesTos(List<AppliesTo> value)` Add all AppliesTo objects to this subresource
    `Boolean` | `configuredRequiresAddressable()` Set to override the default as to whether the visibility of resources annotated with this sensitivity constraint should be considered sensitive.
    `T` | `configuredRequiresAddressable(Boolean value)` Set to override the default as to whether the visibility of resources annotated with this sensitivity constraint should be considered sensitive.
    `Boolean` | `configuredRequiresRead()` Set to override the default as to whether reading attributes annotated with this sensitivity constraint should be considered sensitive.
    `T` | `configuredRequiresRead(Boolean value)` Set to override the default as to whether reading attributes annotated with this sensitivity constraint should be considered sensitive.
    `Boolean` | `configuredRequiresWrite()` Set to override the default as to whether writing attributes annotated with this sensitivity constraint should be considered sensitive.
    `T` | `configuredRequiresWrite(Boolean value)` Set to override the default as to whether writing attributes annotated with this sensitivity constraint should be considered sensitive.
    `Boolean` | `defaultRequiresAddressable()` Whether the visibility of resources annotated with this sensitivity constraint should be considered sensitive.
    `T` | `defaultRequiresAddressable(Boolean value)` Whether the visibility of resources annotated with this sensitivity constraint should be considered sensitive.
    `Boolean` | `defaultRequiresRead()` Whether reading attributes annotated with this sensitivity constraint should be considered sensitive.
    `T` | `defaultRequiresRead(Boolean value)` Whether reading attributes annotated with this sensitivity constraint should be considered sensitive.
    `Boolean` | `defaultRequiresWrite()` Whether writing attributes annotated with this sensitivity constraint should be considered sensitive.
    `T` | `defaultRequiresWrite(Boolean value)` Whether writing attributes annotated with this sensitivity constraint should be considered sensitive.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Classification.ClassificationResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Classification

          public Classification(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Classification.ClassificationResources subresources()

    - #### appliesTos

          public T appliesTos(List<AppliesTo> value)

      Add all AppliesTo objects to this subresource
      Parameters:
        `value` - List of AppliesTo objects.
      Returns:
        this

    - #### appliesTo

          public T appliesTo(AppliesTo value)

      Add the AppliesTo object to the list of subresources
      Parameters:
        `value` - The AppliesTo to add
      Returns:
        this

    - #### appliesTo

          public T appliesTo(String childKey,
                             AppliesToConsumer consumer)

      Create and configure a AppliesTo object to the list of subresources
      Parameters:
        `key` - The key for the AppliesTo resource
        `config` - The AppliesToConsumer to use
      Returns:
        this

    - #### appliesTo

          public T appliesTo(String childKey)

      Create and configure a AppliesTo object to the list of subresources
      Parameters:
        `key` - The key for the AppliesTo resource
      Returns:
        this

    - #### appliesTo

          public T appliesTo(AppliesToSupplier supplier)

      Install a supplied AppliesTo object to the list of subresources

    - #### configuredRequiresAddressable

          public Boolean configuredRequiresAddressable()

      Set to override the default as to whether the visibility of resources annotated with this sensitivity constraint should be considered sensitive.

    - #### configuredRequiresAddressable

          public T configuredRequiresAddressable(Boolean value)

      Set to override the default as to whether the visibility of resources annotated with this sensitivity constraint should be considered sensitive.

    - #### configuredRequiresRead

          public Boolean configuredRequiresRead()

      Set to override the default as to whether reading attributes annotated with this sensitivity constraint should be considered sensitive.

    - #### configuredRequiresRead

          public T configuredRequiresRead(Boolean value)

      Set to override the default as to whether reading attributes annotated with this sensitivity constraint should be considered sensitive.

    - #### configuredRequiresWrite

          public Boolean configuredRequiresWrite()

      Set to override the default as to whether writing attributes annotated with this sensitivity constraint should be considered sensitive.

    - #### configuredRequiresWrite

          public T configuredRequiresWrite(Boolean value)

      Set to override the default as to whether writing attributes annotated with this sensitivity constraint should be considered sensitive.

    - #### defaultRequiresAddressable

          public Boolean defaultRequiresAddressable()

      Whether the visibility of resources annotated with this sensitivity constraint should be considered sensitive.

    - #### defaultRequiresAddressable

          public T defaultRequiresAddressable(Boolean value)

      Whether the visibility of resources annotated with this sensitivity constraint should be considered sensitive.

    - #### defaultRequiresRead

          public Boolean defaultRequiresRead()

      Whether reading attributes annotated with this sensitivity constraint should be considered sensitive.

    - #### defaultRequiresRead

          public T defaultRequiresRead(Boolean value)

      Whether reading attributes annotated with this sensitivity constraint should be considered sensitive.

    - #### defaultRequiresWrite

          public Boolean defaultRequiresWrite()

      Whether writing attributes annotated with this sensitivity constraint should be considered sensitive.

    - #### defaultRequiresWrite

          public T defaultRequiresWrite(Boolean value)

      Whether writing attributes annotated with this sensitivity constraint should be considered sensitive.

Copyright © 2017 JBoss by Red Hat. All rights reserved.